[**@rxap/data-source**](../README.md)

***

[@rxap/data-source](../globals.md) / RxapStaticDataSource

# Function: RxapStaticDataSource()

> **RxapStaticDataSource**\<`Data`\>(`metadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:112](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/data-source/src/lib/static.data-source.ts#L112)

## Type Parameters

• **Data**

## Parameters

### metadata

[`StaticDataSourceMetadata`](../interfaces/StaticDataSourceMetadata.md)\<`Data`\>

### className

`string` = `'StaticDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`StaticDataSource`](../classes/StaticDataSource.md)\<`Data`\>\>

### Returns

`void`
